Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class TaggedAttribute

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmc.TaggedAttribute

All Implemented Interfaces:
  ASN1Value

public class TaggedAttribute
extends java.lang.Object
implements ASN1Value

A tagged attribute, which has the following ASN.1 definition :

       TaggedAttribute ::= SEQUENCE {
          bodyPartID         BodyPartId,
          attrType           OBJECT IDENTIFIER,
          attrValues         SET OF AttributeValue
       bodyIdMax INTEGER ::= 4294967295

       BodyPartID ::= INTEGER(0..bodyIdMax)

Inner Class Summary
`static class` | `TaggedAttribute.Template` A Template for decoding an Attribute.

Field Summary
`static INTEGER` | `BODYIDMAX`
`private INTEGER` | `bodyPartID`
`private SEQUENCE` | `sequence`
`static Tag` | `TAG`
`private static TaggedAttribute.Template` | `templateInstance`
`private OBJECT_IDENTIFIER` | `type`
`private SET` | `values`

Constructor Summary
`private` | `TaggedAttribute()`
`` | `TaggedAttribute(INTEGER bodyPartID, OBJECT_IDENTIFIER type, ASN1Value value)`
`` | `TaggedAttribute(INTEGER bodyPartID, OBJECT_IDENTIFIER type, SET values)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`INTEGER` | `getBodyPartID()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static TaggedAttribute.Template` | `getTemplate()`
`OBJECT_IDENTIFIER` | `getType()`
`SET` | `getValues()` If this AVA was constructed, returns the SET of ASN1Values passed to the constructor.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### BODYIDMAX

    public static final INTEGER BODYIDMAX

### sequence

    private SEQUENCE sequence

### bodyPartID

    private INTEGER bodyPartID

### type

    private OBJECT_IDENTIFIER type

### values

    private SET values

### TAG

    public static final Tag TAG

### templateInstance

    private static TaggedAttribute.Template templateInstance

Constructor Detail

### TaggedAttribute

    private TaggedAttribute()

### TaggedAttribute

    public TaggedAttribute(INTEGER bodyPartID,
                           OBJECT_IDENTIFIER type,
                           SET values)

### TaggedAttribute

    public TaggedAttribute(INTEGER bodyPartID,
                           OBJECT_IDENTIFIER type,
                           ASN1Value value)

Method Detail

### getBodyPartID

    public INTEGER getBodyPartID()

### getType

    public OBJECT_IDENTIFIER getType()

### getValues

    public SET getValues()

  If this AVA was constructed, returns the SET of ASN1Values passed to the constructor. If this Atrribute was decoded with an Attribute.Template, returns a SET of ANYs.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static TaggedAttribute.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD